umbrello: UMLView Class Reference

umbrello 2.32.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Slots | Public Member Functions | Protected Member Functions | List of all members
UMLView Class Reference

`#include <umlview.h>`

Inheritance diagram for UMLView:

## Public Slots
void | zoomIn ()
void | zoomOut ()
void | show ()

## Public Member Functions
| UMLView (UMLFolder *parentFolder)
virtual | ~UMLView ()
UMLScene * | umlScene () const
qreal | zoom () const
void | setZoom (qreal zoom)
virtual bool | showPropertiesDialog (QWidget *parent=0)

## Protected Member Functions
virtual void | wheelEvent (QWheelEvent *event)
virtual void | showEvent (QShowEvent *se)
virtual void | hideEvent (QHideEvent *he)
virtual void | mousePressEvent (QMouseEvent *event)
virtual void | mouseReleaseEvent (QMouseEvent *event)
virtual void | resizeEvent (QResizeEvent *event)

## Detailed Description

UMLView instances represent views onto diagrams (scenes). The UMLApp instance manages the visibility of UMLView instances. The visible view (and therefore diagram) is at the top of stack. The UMLView class inherits from QGraphicsView. Construction of a UMLView implicitly constructs a UMLScene, i.e. there is a one to one relation between diagram and view. The UMLFolder instances own the UMLView instances.

Author
  Paul Hensgen phens.nosp@m.gen@.nosp@m.techi.nosp@m.e.co.nosp@m.m Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLView()

UMLView::UMLView | ( | UMLFolder * | parentFolder | ) |
| explicit

Constructor.

## ◆ ~UMLView()

UMLView::~UMLView | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ hideEvent()

void UMLView::hideEvent | ( | QHideEvent * | he | ) |
| protectedvirtual

Overrides the standard operation.

## ◆ mousePressEvent()

void UMLView::mousePressEvent | ( | QMouseEvent * | event | ) |
| protectedvirtual

Override standard method.

## ◆ mouseReleaseEvent()

void UMLView::mouseReleaseEvent | ( | QMouseEvent * | event | ) |
| protectedvirtual

Override standard method.

## ◆ resizeEvent()

void UMLView::resizeEvent | ( | QResizeEvent * | event | ) |
| protectedvirtual

Override standard method.

## ◆ setZoom()

void UMLView::setZoom | ( | qreal | zoom | ) |

Sets the zoom of the diagram.

## ◆ show

void UMLView::show | ( |  | ) |
| slot

Overrides standard method from QWidget to resize scene when it's shown.

## ◆ showEvent()

void UMLView::showEvent | ( | QShowEvent * | se | ) |
| protectedvirtual

Overrides the standard operation.

## ◆ showPropertiesDialog()

bool UMLView::showPropertiesDialog | ( | QWidget * | parent = `0` | ) |
| virtual

Shows the properties dialog for the view.

## ◆ umlScene()

UMLScene * UMLView::umlScene | ( |  | ) | const

Getter for the uml scene.

## ◆ wheelEvent()

void UMLView::wheelEvent | ( | QWheelEvent * | event | ) |
| protectedvirtual

Zoom the view in and out.

## ◆ zoom()

qreal UMLView::zoom | ( |  | ) | const

Returns the zoom of the diagram.

## ◆ zoomIn

void UMLView::zoomIn | ( |  | ) |
| slot

## ◆ zoomOut

void UMLView::zoomOut | ( |  | ) |
| slot

The documentation for this class was generated from the following files:

- umbrello/umlview.h
- umbrello/umlview.cpp